Subject: Re: bug#31035: 27.0.50; (apply ...) doesn't work with undo-in-region

From: Stefan Monnier <[email-masked]>
Date: Mon, 02 Apr 2018 20:41:11 -0400

> The main problem being that undo-in-region (as well as
> erc-update-undo-list, incidentally) needs not just to know which part of
> the buffer is modified and with which DELTA, but it also needs to be
> able to create a new entry to apply the same change at another
> buffer position.

I think the easiest solution for that is to somehow pass BEG to the
function so that the function can be made "position independent".

The easiest way to do that without changing the format is to probably
move point to BEG before calling the function (and to document the fact
that the function should not bake-in the values of BEG and END but
should instead assume that point is the beginning of the area that
should be modified).

        Stefan